## Class SerieDiDadi

    java.lang.Object
      SerieDiDadi

    public class SerieDiDadi

extends java.lang.Object

Riproduce il comportamento di un lancio simultaneo di pių dadi. Memorizza i riferimenti agli oggetti Dado (e dunque i risultati dei lanci) in una collezione dinamica di tipo List.

La serie viene poi ordinata in modo non-crescente, cosė da facilitare l'operazione di confronto con precedenza ai dadi di valore maggiore.

Version:
  1.0.0
Author:
  Alessio Treglia
See Also:
  `Battaglia`

Constructor Summary
`SerieDiDadi()` Costruttore no-arg.
`SerieDiDadi(int n)` Costruisce l'oggetto ed effettua i primi n lanci.

Method Summary
`java.util.List` `getDadi()`
`Dado` `getDado(int i)` Restituisce l'elemento della lista di posizione i
`int` `getNumeroDadi()`
`void` `lanciaDadi(int n)` Lancia gli n dadi desiderati e li ordina in modo non-crescente.
`java.lang.String` `toString()` Restituisce una stringa contenente i risultati dei dadi della serie.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerieDiDadi

    public SerieDiDadi()

  Costruttore no-arg. Alloca memoria per il lancio dei dadi.

### SerieDiDadi

    public SerieDiDadi(int n)

  Costruisce l'oggetto ed effettua i primi n lanci.

  Parameters:
    `n` - numero di dadi da lanciare

Method Detail

### lanciaDadi

    public void lanciaDadi(int n)

  Lancia gli n dadi desiderati e li ordina in modo non-crescente. Prima di ogni lancio svuota la collezione di dadi e la re-inizializza a seconda del parametro di dadi da lanciare. Infine, ordina la collezione di dadi in modo non-crescente.

  Parameters:
    `n` - numero di dadi da lanciare

### getNumeroDadi

    public int getNumeroDadi()

  Returns:
    il numero dei dadi lanciati

### getDadi

    public java.util.List getDadi()

  Returns:
    una List contenente i dadi lanciati

### getDado

    public Dado getDado(int i)

  Restituisce l'elemento della lista di posizione i

  Parameters:
    `i` - indice dell'elemento da restituire
  Returns:
    l'elemento di posizione i, `null` in caso di errore

### toString

    public java.lang.String toString()

  Restituisce una stringa contenente i risultati dei dadi della serie.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    una visualizzazione testuale della serie di dadi lanciati